All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::transport::vrt Namespace Reference

## Classes

struct | if_packet_info_t

## Functions

UHD_API void | if_hdr_pack_be (boost::uint32_t *packet_buff, if_packet_info_t &if_packet_info)
UHD_API void | if_hdr_unpack_be (const boost::uint32_t *packet_buff, if_packet_info_t &if_packet_info)
UHD_API void | if_hdr_pack_le (boost::uint32_t *packet_buff, if_packet_info_t &if_packet_info)
UHD_API void | if_hdr_unpack_le (const boost::uint32_t *packet_buff, if_packet_info_t &if_packet_info)

## Function Documentation

UHD_API void uhd::transport::vrt::if_hdr_pack_be | ( | boost::uint32_t * | packet_buff,
|  | if_packet_info_t & | if_packet_info
| ) |  |

Pack a vrt header from metadata (big endian format).

Parameters

  packet_buff | memory to write the packed vrt header
  if_packet_info | the if packet info (read/write)

UHD_API void uhd::transport::vrt::if_hdr_pack_le | ( | boost::uint32_t * | packet_buff,
|  | if_packet_info_t & | if_packet_info
| ) |  |

Pack a vrt header from metadata (little endian format).

Parameters

  packet_buff | memory to write the packed vrt header
  if_packet_info | the if packet info (read/write)

UHD_API void uhd::transport::vrt::if_hdr_unpack_be | ( | const boost::uint32_t * | packet_buff,
|  | if_packet_info_t & | if_packet_info
| ) |  |

Unpack a vrt header to metadata (big endian format).

Parameters

  packet_buff | memory to read the packed vrt header
  if_packet_info | the if packet info (read/write)

UHD_API void uhd::transport::vrt::if_hdr_unpack_le | ( | const boost::uint32_t * | packet_buff,
|  | if_packet_info_t & | if_packet_info
| ) |  |

Unpack a vrt header to metadata (little endian format).

Parameters

  packet_buff | memory to read the packed vrt header
  if_packet_info | the if packet info (read/write)